org.keycloak.validate.validators

## Class LocalDateValidator

- java.lang.Object
- - org.keycloak.validate.AbstractSimpleValidator
  - - org.keycloak.validate.AbstractStringValidator
    - - org.keycloak.validate.validators.LocalDateValidator

- All Implemented Interfaces:
    ConfiguredProvider, Provider, ProviderFactory<Validator>, SimpleValidator, Validator, ValidatorFactory

      public class LocalDateValidator
      extends AbstractStringValidator
      implements ConfiguredProvider

  A date validator that only takes into account the format associated with the current locale.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ID`
    `static LocalDateValidator` | `INSTANCE`
    `static String` | `MESSAGE_INVALID_DATE`

    - ### Fields inherited from class org.keycloak.validate.AbstractSimpleValidator

      `IGNORE_EMPTY_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalDateValidator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doValidate(String value, String inputHint, ValidationContext context, ValidatorConfig config)`
    `List<ProviderConfigProperty>` | `getConfigProperties()`
    `String` | `getHelpText()`
    `String` | `getId()`
    `protected boolean` | `isIgnoreEmptyValuesConfigured(ValidatorConfig config)` Default implementation only looks for `AbstractSimpleValidator.IGNORE_EMPTY_VALUE` configuration option.
    `ValidationResult` | `validateConfig(KeycloakSession session, ValidatorConfig config)` Validates the given validation config.

    - ### Methods inherited from class org.keycloak.validate.AbstractStringValidator

      `doValidate, skipValidation`

    - ### Methods inherited from class org.keycloak.validate.AbstractSimpleValidator

      `validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.validate.SimpleValidator

      `close, create, init, postInit`

    - ### Methods inherited from interface org.keycloak.validate.Validator

      `validate, validate, validate, validate, validate, validate`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `order`

- - ### Field Detail

    - #### INSTANCE

          public static final LocalDateValidator INSTANCE

    - #### ID

          public static final String ID

      See Also:
        Constant Field Values

    - #### MESSAGE_INVALID_DATE

          public static final String MESSAGE_INVALID_DATE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LocalDateValidator

          public LocalDateValidator()

  - ### Method Detail

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ProviderFactory<Validator>`

    - #### doValidate

          protected void doValidate(String value,
                                    String inputHint,
                                    ValidationContext context,
                                    ValidatorConfig config)

      Specified by:
        `doValidate` in class `AbstractStringValidator`

    - #### validateConfig

          public ValidationResult validateConfig(KeycloakSession session,
                                                 ValidatorConfig config)

      Description copied from interface: `ValidatorFactory`
      Validates the given validation config.

      Implementations can use the `KeycloakSession` to validate the given `ValidatorConfig`.

      Specified by:
        `validateConfig` in interface `ValidatorFactory`
      Parameters:
        `session` - the `KeycloakSession`
        `config` - the config to be validated
      Returns:
        the validation result

    - #### getHelpText

          public String getHelpText()

      Specified by:
        `getHelpText` in interface `ConfiguredProvider`

    - #### getConfigProperties

          public List<ProviderConfigProperty> getConfigProperties()

      Specified by:
        `getConfigProperties` in interface `ConfiguredProvider`

    - #### isIgnoreEmptyValuesConfigured

          protected boolean isIgnoreEmptyValuesConfigured(ValidatorConfig config)

      Description copied from class: `AbstractSimpleValidator`
      Default implementation only looks for `AbstractSimpleValidator.IGNORE_EMPTY_VALUE` configuration option.
      Overrides:
        `isIgnoreEmptyValuesConfigured` in class `AbstractSimpleValidator`
      Parameters:
        `config` - to get option from
      Returns:

Copyright © 2021 JBoss by Red Hat. All rights reserved.